| Home | Libraries | People | FAQ | More

## Function template make_expression_function

boost::yap::make_expression_function

## Synopsis

    // In header: <boost/yap/algorithm.hpp>

    template<typename Expr> auto make_expression_function(Expr && expr);

## Description

Returns a callable object that expr has been forwarded into. This is useful for using expressions as function objects.

Lvalue expressions are stored in the result by reference; rvalue expressions are moved into the result.

| Note
`make_expression_function()` is only valid if Expr is an expression.